<ng4-loading-spinner [threshold]="10000" [loadingText]="'Please wait...'"> </ng4-loading-spinner>
<!-- <mat-toolbar color="warn">
    <mat-toolbar-row>
      <span class="title-center">Lithion Internal</span>
    </mat-toolbar-row>
  </mat-toolbar> -->
<div class="row">
  <div class="col-sm-12 col-md-12 col-lg-12 ">
    <mat-toolbar class="toolbar" style="background-color:rgb(21, 22, 21)">
      <mat-toolbar-row>
        <span style="color: white">Current Status Of All Assets</span>
      </mat-toolbar-row>
    </mat-toolbar>
    <table mat-table [dataSource]="dataSource" class="mat-elevation-z8 table-striped warning table-bordered">
      <tbody>

        <!--- Note that these columns can be defined in any order.
                  The actual rendered columns are set as a property on the row definition" -->


        <ng-container matColumnDef="Asset Id">
          <th mat-header-cell *matHeaderCellDef style="text-align: center"> Asset ID </th>
          <td mat-cell *matCellDef="let element" style="text-align: center"><a [routerLink]="['/dashboard','batteryStatus',element.assetId]">{{element.assetId}}</a></td>
        </ng-container>



        <ng-container matColumnDef="lastUpdatedAt">
          <th mat-header-cell *matHeaderCellDef style="text-align: center"> Last Updated At </th>
          <td mat-cell *matCellDef="let element" style="text-align: center">
            <div *ngIf="element.updatedAt || element.updatedAt==0; else NA">{{element.updatedAt}}</div>
            <ng-template #NA>NA</ng-template>
          </td>
        </ng-container>


        <ng-container matColumnDef="updateDate">
          <th mat-header-cell *matHeaderCellDef style="text-align: center"> Update Date </th>
          <td mat-cell *matCellDef="let element" style="text-align: center">
            <div *ngIf="element.updatedAtDate || element.updatedAtDate==0; else NA">{{element.updatedAtDate}}</div>
            <ng-template #NA>NA</ng-template>
          </td>
        </ng-container>


        <ng-container matColumnDef="updateTime">
          <th mat-header-cell *matHeaderCellDef style="text-align: center"> Update Time </th>
          <td mat-cell *matCellDef="let element" style="text-align: center">
            <div *ngIf="element.updatedAtTime || element.updatedAtTime==0; else NA">{{element.updatedAtTime}}</div>
            <ng-template #NA>NA</ng-template>
          </td>
        </ng-container>

        <ng-container matColumnDef="current">
          <th mat-header-cell *matHeaderCellDef style="text-align: center"> Current </th>
          <td mat-cell *matCellDef="let element" style="text-align: center">
            <div *ngIf="element.current || element.current==0; else NA">{{element.current}}</div>
            <ng-template #NA>NA</ng-template>
          </td>
        </ng-container>


        <ng-container matColumnDef="voltage">
          <th mat-header-cell *matHeaderCellDef style="text-align: center"> Voltage </th>
          <td mat-cell *matCellDef="let element" style="text-align: center">
            <div *ngIf="element.voltage || element.voltage==0; else NA">{{element.voltage}}</div>
            <ng-template #NA>NA</ng-template>
          </td>
        </ng-container>


        <ng-container matColumnDef="capLeft">
          <th mat-header-cell *matHeaderCellDef style="text-align: center"> Cap Left </th>
          <td mat-cell *matCellDef="let element" style="text-align: center">
            <div *ngIf="element.capLeft || element.capLeft==0; else NA"> {{element.capLeft | number:'1.2-2' }} </div>
            <ng-template #NA>NA</ng-template>
          </td>
        </ng-container>

        <ng-container matColumnDef="kmLeft">
          <th mat-header-cell *matHeaderCellDef style="text-align: center"> Km Left </th>
          <td mat-cell *matCellDef="let element" style="text-align: center"> <div *ngIf="element.kmLeft || element.kmLeft==0; else NA"> {{element.kmLeft | number:'1.2-2' }} </div>
            <ng-template #NA>NA</ng-template> </td>
        </ng-container>

        <ng-container matColumnDef="kmDriven">
          <th mat-header-cell *matHeaderCellDef style="text-align: center"> Km Driven </th>
          <td mat-cell *matCellDef="let element" style="text-align: center">
            <div *ngIf="element.kmDriven || element.kmDriven==0; else NA"> {{ element.kmDriven |
              number:'1.2-2' }} </div>
            <ng-template #NA>NA</ng-template>
          </td>
        </ng-container>


        <ng-container matColumnDef="userID">
          <th mat-header-cell *matHeaderCellDef style="text-align: center"> User ID </th>
          <td mat-cell *matCellDef="let element" style="text-align: center">
            <div *ngIf="element.actorId || element.actorId==''; else NA"> {{element.actorId }} </div>
            <ng-template #NA>NA</ng-template>
          </td>
        </ng-container>


        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef style="text-align: center"> name </th>
          <td mat-cell *matCellDef="let element" style="text-align: center"> <div *ngIf="element.lspName || element.lspName==''; else NA"> {{element.lspName }} </div>
            <ng-template #NA>NA</ng-template> </td>
        </ng-container>


        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

    </table>


  </div>
</div>
